import test.HelloWorld1;
import test.HelloWorld2;
import test.HelloWorld3;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.text.StringEscapeUtils;

public class GradleTest1
{
	public static void main(String args[])
	{
		try {
		    System.out.println("Running GradleTest1!");
		
			new HelloWorld1().test();
			new HelloWorld2().test();
			new HelloWorld3().test();
			
			String testString = "01234567890";
			boolean base64Result = Base64.isBase64(testString);
			System.out.println("Is '" + testString + "' in Base64?  " + base64Result);
			
			
			String originalText = "Embedded tag <hello>";
			String encodedText = StringEscapeUtils.escapeXml11​(originalText);
			System.out.println("'" + originalText + "' escaped to '" + encodedText + "'.");
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}